export default {
  autocomplete: {
    component: (mode) => () => import(`./basic/autocomplete${mode}`)
  },
  cascader: {
    component: (mode) => () => import(`./basic/cascader${mode}`)
  },
  checkbox: {
    component: (mode) => () => import(`./basic/checkbox${mode}`)
  },
  date: {
    component: (mode) => () => import(`./basic/date-picker${mode}`)
  },
  divider: {
    component: (mode) => () => import(`./basic/divider${mode}`)
  },
  editor: {
    component: (mode) => () => import(`./basic/editor${mode}`)
  },
  file: {
    component: (mode) => () => import(`./basic/file${mode}`)
  },
  image: {
    component: (mode) => () => import(`./basic/image${mode}`)
  },
  input: {
    component: (mode) => () => import(`./basic/input${mode}`)
  },
  link: {
    component: (mode) => () => import(`./basic/link${mode}`)
  },
  number: {
    component: (mode) => () => import(`./basic/number${mode}`)
  },
  password: {
    component: (mode) => () => import(`./basic/password${mode}`)
  },
  radio: {
    component: (mode) => () => import(`./basic/radio${mode}`)
  },
  rate: {
    component: (mode) => () => import(`./basic/rate${mode}`)
  },
  selectImage: {
    component: (mode) => () => import(`./basic/select-image${mode}`)
  },
  selectObject: (mode) => () => import(`./basic/select-object${mode}`),
  selectInputTable: {
    component: (mode) => () => import(`./basic/select-input-table${mode}`)
  },
  selectTable: {
    component: (mode) => () => import(`./basic/select-table${mode}`)
  },
  selectTree: {
    component: (mode) => () => import(`./basic/select-tree${mode}`)
  },
  select: {
    component: (mode) => () => import(`./basic/select${mode}`)
  },
  singleCheckbox: {
    component: (mode) => () => import(`./basic/single-checkbox${mode}`)
  },
  slider: {
    component: (mode) => () => import(`./basic/slider${mode}`)
  },
  staticInfo: {
    component: (mode) => () => import(`./basic/static-info${mode}`)
  },
  staticOptionsConfig: {
    component: (mode) => () => import(`./basic/static-options-config${mode}`)
  },
  switch: {
    component: (mode) => () => import(`./basic/switch${mode}`)
  },
  table: {
    component: (mode) => () => import(`./basic/table${mode}`)
  },
  tableRadio: {
    component: (mode) => () => import(`./basic/table-radio${mode}`)
  },
  text: {
    component: (mode) => () => import(`./basic/text${mode}`)
  },
  textarea: {
    component: (mode) => () => import(`./basic/textarea${mode}`)
  },
  time: {
    component: (mode) => () => import(`./basic/time-select${mode}`)
  },
  tree: (mode) => () => import(`./basic/tree${mode}`),
  dateRange: {
    component: (mode) => () => import(`./extension/date-range${mode}`)
  },
  numberRange: {
    component: (mode) => () => import(`./extension/number-range${mode}`)
  },
  timeRange: {
    component: (mode) => () => import(`./extension/time-range${mode}`)
  },
  urlEditor: (mode) => () => import(`./basic/url-editor${mode}`),
  // BROKEN: 此项迁移至 @cip/plugins/form/form-input/request/data-dictionary
  // MIGRATION: 迁移说明 migration/v3.x.md
  // dataDictionary: {
  //   component: (mode) => () => import(`./request/data-dictionary${mode}`)
  // },
  toleranceNumber: (mode) => () => import(`./extension/tolerance-number${mode}`),
  inputTag: () => () => import('./special-view/input-tag/view'),
  multiInfoStatus: () => () => import('./special-view/multi-info-status/view'),
  versionTag: () => () => import('./special-view/version-tag/view'),
  arrayObject: () => () => import('./special-view/array-object/view'),
  auditStatus: () => () => import('./special-view/audit-status/view'),
  colorStatus: () => () => import('./special-view/color-status/view'),
  default: {
    component: (mode) => () => import(`./basic/input${mode}`)
  }
}
