# v2.x迁移指南

## master至v3.x破坏性更新

### d-render 组件不支持自动从@/components/custom-form-input中自动收集导入

#### 处理方案

- 在项目根目录编写d-render.config.js手动注册项目私有的input组件
- cip-cli主要修改部分
  - 修改原 type-to-component.js 文件
  - 项目侧新增d-render.config.js文件
  
```js
// type-to-component
// mode 可能参数为/index /view /mobile /configure
// test: (mode) => () => import(`@/components/hello-component${mode}`)
// test: {
//   component: (mode) => () => import(`@/components/hello-component${mode}`)
// }
// testLayout: {
//   component: (mode) => () => import(`@/components/hello-component${mode}`)
//   layout: true
// }
export default {
  customInput: (mode) => () => import(`@/components/custom-input${mode}`)
}
```

```js
// d-render.config.js
export default {
  plugins: [
    require('@/components/custom-form-input/type-to-component').default
  ]
}
```

## vue.config.js
- 增加配置
```
module.exports = {
  ... // 省略其他配置
  pluginOptions: { 
    'style-resources-loader': {
      preProcessor: 'less',
      patterns: [
        path.resolve(__dirname, 'sub_modules/components/styles/variate.less'),
        path.resolve(__dirname, 'src/style/variate.less')
      ]
    }
  },
}
```